org.apache.lucene.util.fst

## Class PairOutputs.Pair<A,B>

- java.lang.Object
- - org.apache.lucene.util.fst.PairOutputs.Pair<A,B>

Enclosing class:
  PairOutputs<A,B>

    public static class PairOutputs.Pair<A,B>
    extends Object

Holds a single pair of two outputs.

### Field Summary

Fields
`A` `output1`
`B` `output2`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### output1

    public final A output1

#### output2

    public final B output2

### Method Detail

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`